
TYPO3.Flow - Major Feature # 368

Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2008-02-26 Assigned To:
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Caching Manager with support for different kinds of caches and stores.
Description

The caching framework at least supports caching of arbitrary variables, classes and files. As for the stores, there is a backend for
writing caches into files, into memcached and the content repository.

Associated revisions
Revision 7da2ee0b - 2008-02-27 13:55 - Robert Lemke

    -  FLOW3: (Reflection) Added getProperty() to T3_FLOW3_Reflection_Class. Fixes #370.
    -  FLOW3: (Cache) Implemented load() support for the File backend. Addresses #368.
    -  FLOW3: (Component) The component manager's default context is now "Development". Relates to #23.
    -  Testing: The Base Testcase now sets the cloned component manager's context to "Testing".

Revision f59cdeac - 2008-02-28 16:22 - Robert Lemke

The results of some more work on the caching features for FLOW3:

    -  FLOW3: (Cache) Implemented has() and remove() for the File backend. Addresses #368.
    -  FLOW3: (AOP) The proxy classes are now cached independently for each context (Development & Testing for example) which results in better
separation of the testcase environment from the regular FLOW3 environment.
    -  FLOW3: (AOP) Names of proxy classes are now suffixed by a hash which allows existence of multiple proxies for the same target class - mainly
useful for testing and for switching proxy implementations on the fly.
    -  FLOW3: (AOP) Proxy classes are now stored in the new file cache - but not yet loaded from it. Addresses #216.
    -  Testing: The testrunner now makes a new instance of the whole FLOW3 framework instead just cloning the component manager. Therefore the
surrounding system may run in Development mode

History
#1 - 2008-03-18 13:41 - Robert Lemke
- % Done changed from 0 to 60

#2 - 2008-05-09 17:46 - Karsten Dambekalns
- Estimated time set to 0.00

A memcached backend has been added in r686 and touched in r734, r756 and r820.

#3 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)
#4 - 2008-08-12 11:41 - Robert Lemke
- Status changed from New to Closed
